<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.CommissionRuleConfigMapper">

    <select id="page"
            resultType="com.yd.csf.feign.response.commissionruleconfig.ApiCommissionRuleConfigPageResponse">
        select * from commission_rule_config crc

        <where>
            <if test="request.ruleName != null and request.ruleName != ''">
                and crc.rule_name like concat('%', #{request.ruleName}, '%')
            </if>
            and crc.is_deleted = 0
        </where>

        order by crc.create_time desc
    </select>
</mapper>
